Subject: Re: [PATCH v3 net-next] tc: remove unused redirect ttl

From: Jesper Dangaard Brouer <[email-masked]>
Date: Sun, 3 May 2015 17:28:42 +0200

On Fri,  1 May 2015 22:19:43 -0700
Alexei Starovoitov <[email-masked]> wrote:

> From: Jamal Hadi Salim <[email-masked]>
> 
> improves ingress+u32 performance from 22.4 Mpps to 22.9 Mpps

I like this change and I'm ACKing it.

But I would like to comment on these performance numbers.  I assume this
is a single CPU test with your pktgen RX/STACK_INJECT mode that drops
the packet "early (in ip_rcv() I think).

It sound impressive to get +0.5 Mpps improvement from such a small
change, while in reality this is approx a 1ns improvement.

 (1/(22.4*10^6)*10^9) = 44.64ns
 (1/(22.9*10^6)*10^9) = 43.67ns
 improvement diff     =  0.97ns

I'm a fan of zooming in on parts of the stack, as it allow us to
performance optimize and measure parts of the stack that is normally
hard to measure. And your ingress use-case is valid.  People should
just be aware, that we can easily "over-sell" when "zooming" in...

> Signed-off-by: Jamal Hadi Salim <[email-masked]>
> Signed-off-by: Alexei Starovoitov <[email-masked]>
> Acked-by: Florian Westphal <[email-masked]>
> Acked-by: Daniel Borkmann <[email-masked]>

Acked-by: Jesper Dangaard Brouer <[email-masked]>

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer